TokyoTyrantTable::putShl
TokyoTyrantQuery
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::setIndex

Sets index

### Description

public mixed TokyoTyrantTable::setIndex ( string `$column` , int `$type` )

Sets an index on a specified column. The index type is one of the `TokyoTyrant::RDBIT_*` constants. Passing `TokyoTyrant::RDBIT_VOID` removes the index.

### Parameters

`column`

  The name of the column

`type`

  The index type

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.